# Generated by go2rpm
# fragile tests on other arches
%ifarch x86_64
%bcond_without check
%endif
%bcond_without bootstrap

# https://github.com/kubernetes/kubernetes
%global goipath         k8s.io/kubernetes
%global forgeurl        https://github.com/kubernetes/kubernetes
Version:                1.22.0

%gometa

%global goipaths0       k8s.io/kubernetes
%global goipathsex0     k8s.io/kubernetes/pkg/volume/glusterfs k8s.io/kubernetes/pkg/volume/portworx

%if %{without bootstrap}
%global goipaths1       k8s.io/kubernetes/pkg/volume/glusterfs k8s.io/kubernetes/pkg/volume/portworx
%endif

%global common_description %{expand:
Kubernetes is an open source system for managing containerized applications
across multiple hosts; providing basic mechanisms for deployment, maintenance,
and scaling of applications.

Kubernetes builds upon a decade and a half of experience at Google running
production workloads at scale using a system called Borg, combined with
best-of-breed ideas and practices from the community.}

%global golicenses      LICENSE
%global godocs          docs CONTRIBUTING.md README.md SUPPORT.md code-of-\\\
                        conduct.md CHANGELOG-1.15.md CHANGELOG.md

Name:           %{goname}
Release:        %autorelease
Summary:        Production-Grade Container Scheduling and Management

# Upstream license specification: MIT and Apache-2.0 and BSD-3-Clause
License:        MIT and ASL 2.0 and BSD
URL:            %{gourl}
Source0:        %{gosource}
# Fix compatibility with latest quobyte
Patch7:         0001-Fix-compatibility-with-latest-quobyte.patch
# To use newer go-jose
Patch8:         0001-Fix-for-new-jwt.patch

BuildRequires:  golang(bitbucket.org/bertimus9/systemstat)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-12-01/compute)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/containerregistry/mgmt/2019-05-01/containerregistry)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/storage/mgmt/2019-06-01/storage)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud/meta)
BuildRequires:  golang(github.com/PuerkitoBio/purell)
BuildRequires:  golang(github.com/armon/circbuf)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/autoscaling)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ecr)
BuildRequires:  golang(github.com/blang/semver)
BuildRequires:  golang(github.com/clusterhq/flocker-go)
BuildRequires:  golang(github.com/container-storage-interface/spec/lib/go/csi)
BuildRequires:  golang(github.com/containernetworking/cni/libcni)
BuildRequires:  golang(github.com/containernetworking/cni/pkg/types)
BuildRequires:  golang(github.com/containernetworking/cni/pkg/types/020)
BuildRequires:  golang(github.com/coredns/corefile-migration/migration)
BuildRequires:  golang(github.com/coreos/go-oidc/oidc)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/daemon)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/util)
BuildRequires:  golang(github.com/cpuguy83/go-md2man/v2/md2man)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/docker/distribution/reference)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/api/types/container)
BuildRequires:  golang(github.com/docker/docker/api/types/filters)
BuildRequires:  golang(github.com/docker/docker/api/types/image)
BuildRequires:  golang(github.com/docker/docker/api/types/strslice)
BuildRequires:  golang(github.com/docker/docker/client)
BuildRequires:  golang(github.com/docker/docker/pkg/jsonmessage)
BuildRequires:  golang(github.com/docker/docker/pkg/stdcopy)
BuildRequires:  golang(github.com/docker/go-connections/nat)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/elazarl/goproxy)
BuildRequires:  golang(github.com/emicklei/go-restful)
BuildRequires:  golang(github.com/evanphx/json-patch)
BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/godbus/dbus/v5)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/golang/groupcache/lru)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/wrappers)
BuildRequires:  golang(github.com/google/cadvisor/cache/memory)
BuildRequires:  golang(github.com/google/cadvisor/client/v2)
BuildRequires:  golang(github.com/google/cadvisor/container)
BuildRequires:  golang(github.com/google/cadvisor/container/common)
BuildRequires:  golang(github.com/google/cadvisor/container/containerd)
BuildRequires:  golang(github.com/google/cadvisor/container/containerd/install)
BuildRequires:  golang(github.com/google/cadvisor/container/crio/install)
BuildRequires:  golang(github.com/google/cadvisor/container/docker)
BuildRequires:  golang(github.com/google/cadvisor/container/docker/install)
BuildRequires:  golang(github.com/google/cadvisor/container/raw)
BuildRequires:  golang(github.com/google/cadvisor/container/systemd/install)
BuildRequires:  golang(github.com/google/cadvisor/events)
BuildRequires:  golang(github.com/google/cadvisor/fs)
BuildRequires:  golang(github.com/google/cadvisor/info/v1)
BuildRequires:  golang(github.com/google/cadvisor/info/v2)
BuildRequires:  golang(github.com/google/cadvisor/machine)
BuildRequires:  golang(github.com/google/cadvisor/manager)
BuildRequires:  golang(github.com/google/cadvisor/metrics)
BuildRequires:  golang(github.com/google/cadvisor/storage)
BuildRequires:  golang(github.com/google/cadvisor/utils/cloudinfo/aws)
BuildRequires:  golang(github.com/google/cadvisor/utils/cloudinfo/azure)
BuildRequires:  golang(github.com/google/cadvisor/utils/cloudinfo/gce)
BuildRequires:  golang(github.com/google/cadvisor/utils/oomparser)
BuildRequires:  golang(github.com/google/cadvisor/utils/sysfs)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/google/gofuzz)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/googleapis/gnostic/openapiv2)
# pkg/volume/glusterfs
%if %{without bootstrap}
BuildRequires:  golang(github.com/heketi/heketi/client/api/go-client)
BuildRequires:  golang(github.com/heketi/heketi/pkg/glusterfs/api)
%endif
BuildRequires:  golang(github.com/ishidawataru/sctp)
# pkg/volume/portworx
%if %{without bootstrap}
BuildRequires:  golang(github.com/libopenstorage/openstorage/api)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/client)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/client/volume)
BuildRequires:  golang(github.com/libopenstorage/openstorage/api/spec)
BuildRequires:  golang(github.com/libopenstorage/openstorage/volume)
%endif
BuildRequires:  golang(github.com/lithammer/dedent)
BuildRequires:  golang(github.com/moby/ipvs)
BuildRequires:  golang(github.com/mrunalp/fileutils)
BuildRequires:  golang(bitbucket.org/ww/goautoneg)
BuildRequires:  golang(github.com/mvdan/xurls)
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/ginkgo/config)
BuildRequires:  golang(github.com/onsi/ginkgo/reporters)
BuildRequires:  golang(github.com/onsi/ginkgo/types)
BuildRequires:  golang(github.com/onsi/gomega)
BuildRequires:  golang(github.com/onsi/gomega/gstruct)
BuildRequires:  golang(github.com/onsi/gomega/types)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/apparmor)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/fs)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/fs2)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/fscommon)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/cgroups/systemd)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/configs)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/userns)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/utils)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/pmezard/go-difflib/difflib)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/prometheus/common/model)
BuildRequires:  golang(github.com/quobyte/api)
BuildRequires:  golang(github.com/robfig/cron/v3)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/cobra/doc)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/storageos/go-api)
BuildRequires:  golang(github.com/storageos/go-api/types)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(github.com/vmware/govmomi)
BuildRequires:  golang(github.com/vmware/govmomi/find)
BuildRequires:  golang(github.com/vmware/govmomi/object)
BuildRequires:  golang(github.com/vmware/govmomi/session)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/rest)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/tags)
BuildRequires:  golang(github.com/vmware/govmomi/vim25)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/mo)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/soap)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/types)
BuildRequires:  golang(go.etcd.io/etcd/client/pkg/v3/transport)
BuildRequires:  golang(go.etcd.io/etcd/client/v3)
BuildRequires:  golang(go.etcd.io/etcd/client/v3/concurrency)
BuildRequires:  golang(go.etcd.io/etcd/server/etcdserver/api/v3rpc)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/trace)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/net/websocket)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/sync/singleflight)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/term)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(golang.org/x/tools/benchmark/parse)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(gonum.org/v1/gonum/graph)
BuildRequires:  golang(gonum.org/v1/gonum/graph/encoding)
BuildRequires:  golang(gonum.org/v1/gonum/graph/encoding/dot)
BuildRequires:  golang(gonum.org/v1/gonum/graph/simple)
BuildRequires:  golang(google.golang.org/api/compute/v0.beta)
BuildRequires:  golang(google.golang.org/api/compute/v1)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/monitoring/v3)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/status)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/types/known/timestamppb)
BuildRequires:  golang(gopkg.in/gcfg.v1)
BuildRequires:  golang(gopkg.in/square/go-jose.v2)
BuildRequires:  golang(gopkg.in/square/go-jose.v2/jwt)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(k8s.io/api/admission/v1)
BuildRequires:  golang(k8s.io/api/admission/v1beta1)
BuildRequires:  golang(k8s.io/api/admissionregistration/v1)
BuildRequires:  golang(k8s.io/api/admissionregistration/v1beta1)
BuildRequires:  golang(k8s.io/api/apiserverinternal/v1alpha1)
BuildRequires:  golang(k8s.io/api/apps/v1)
BuildRequires:  golang(k8s.io/api/apps/v1beta1)
BuildRequires:  golang(k8s.io/api/apps/v1beta2)
BuildRequires:  golang(k8s.io/api/authentication/v1)
BuildRequires:  golang(k8s.io/api/authentication/v1beta1)
BuildRequires:  golang(k8s.io/api/authorization/v1)
BuildRequires:  golang(k8s.io/api/authorization/v1beta1)
BuildRequires:  golang(k8s.io/api/autoscaling/v1)
BuildRequires:  golang(k8s.io/api/autoscaling/v2beta1)
BuildRequires:  golang(k8s.io/api/autoscaling/v2beta2)
BuildRequires:  golang(k8s.io/api/batch/v1)
BuildRequires:  golang(k8s.io/api/batch/v1beta1)
BuildRequires:  golang(k8s.io/api/certificates/v1)
BuildRequires:  golang(k8s.io/api/certificates/v1beta1)
BuildRequires:  golang(k8s.io/api/coordination/v1)
BuildRequires:  golang(k8s.io/api/coordination/v1beta1)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/api/discovery/v1)
BuildRequires:  golang(k8s.io/api/discovery/v1beta1)
BuildRequires:  golang(k8s.io/api/events/v1)
BuildRequires:  golang(k8s.io/api/events/v1beta1)
BuildRequires:  golang(k8s.io/api/extensions/v1beta1)
BuildRequires:  golang(k8s.io/api/flowcontrol/v1alpha1)
BuildRequires:  golang(k8s.io/api/flowcontrol/v1beta1)
BuildRequires:  golang(k8s.io/api/imagepolicy/v1alpha1)
BuildRequires:  golang(k8s.io/api/networking/v1)
BuildRequires:  golang(k8s.io/api/networking/v1beta1)
BuildRequires:  golang(k8s.io/api/node/v1)
BuildRequires:  golang(k8s.io/api/node/v1alpha1)
BuildRequires:  golang(k8s.io/api/node/v1beta1)
BuildRequires:  golang(k8s.io/api/policy/v1)
BuildRequires:  golang(k8s.io/api/policy/v1beta1)
BuildRequires:  golang(k8s.io/api/rbac/v1)
BuildRequires:  golang(k8s.io/api/rbac/v1alpha1)
BuildRequires:  golang(k8s.io/api/rbac/v1beta1)
BuildRequires:  golang(k8s.io/api/scheduling/v1)
BuildRequires:  golang(k8s.io/api/scheduling/v1alpha1)
BuildRequires:  golang(k8s.io/api/scheduling/v1beta1)
BuildRequires:  golang(k8s.io/api/storage/v1)
BuildRequires:  golang(k8s.io/api/storage/v1alpha1)
BuildRequires:  golang(k8s.io/api/storage/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/v1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apis/apiextensions/v1beta1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apiserver)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/apiserver/validation)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/informers/externalversions/apiextensions/v1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/listers/apiextensions/v1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/cmd/server/options)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/test/integration)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/test/integration/fixtures)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/equality)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/resource)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/validation/path)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/fuzzer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/internalversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/unstructured)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1beta1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/conversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/fields)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/json)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/versioning)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/yaml)
BuildRequires:  golang(k8s.io/apimachinery/pkg/selection)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/cache)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/clock)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/diff)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/duration)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/httpstream)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/httpstream/spdy)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/intstr)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/json)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/net)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/proxy)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/rand)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/remotecommand)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/sets)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/strategicpatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/uuid)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/validation/field)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/wait)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/yaml)
BuildRequires:  golang(k8s.io/apimachinery/pkg/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/watch)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/initializer)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/namespace/lifecycle)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/resourcequota)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/initializer)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/mutating)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/plugin/webhook/validating)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/install)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/config/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/flowcontrol/bootstrap)
BuildRequires:  golang(k8s.io/apiserver/pkg/audit)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/authenticator)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/authenticatorfactory)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/group)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/anonymous)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/bearertoken)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/headerrequest)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/websocket)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/request/x509)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/serviceaccount)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/cache)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/tokenfile)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/token/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/authentication/user)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/authorizer)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/authorizerfactory)
BuildRequires:  golang(k8s.io/apiserver/pkg/authorization/union)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/discovery)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/filters)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/handlers/fieldmanager)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/openapi)
BuildRequires:  golang(k8s.io/apiserver/pkg/endpoints/request)
BuildRequires:  golang(k8s.io/apiserver/pkg/features)
BuildRequires:  golang(k8s.io/apiserver/pkg/quota/v1)
BuildRequires:  golang(k8s.io/apiserver/pkg/quota/v1/generic)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/registry)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/rest)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/rest)
BuildRequires:  golang(k8s.io/apiserver/pkg/server)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/dynamiccertificates)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/egressselector)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/filters)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/healthz)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/httplog)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/mux)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options/encryptionconfig)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/resourceconfig)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/routes)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/storage)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/errors)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd3)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/etcd3/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/names)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/storagebackend)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/storagebackend/factory)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value)
BuildRequires:  golang(k8s.io/apiserver/pkg/storageversion)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/apihelpers)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/dryrun)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/flowcontrol)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/flushwriter)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/shufflesharding)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/webhook)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/wsstream)
BuildRequires:  golang(k8s.io/apiserver/pkg/warning)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/oidc)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/webhook)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authorizer/webhook)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/printers)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/resource)
BuildRequires:  golang(k8s.io/client-go/applyconfigurations/apps/v1)
BuildRequires:  golang(k8s.io/client-go/applyconfigurations/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/applyconfigurations/core/v1)
BuildRequires:  golang(k8s.io/client-go/applyconfigurations/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/discovery)
BuildRequires:  golang(k8s.io/client-go/discovery/cached)
BuildRequires:  golang(k8s.io/client-go/discovery/cached/memory)
BuildRequires:  golang(k8s.io/client-go/discovery/fake)
BuildRequires:  golang(k8s.io/client-go/dynamic)
BuildRequires:  golang(k8s.io/client-go/dynamic/dynamicinformer)
BuildRequires:  golang(k8s.io/client-go/informers)
BuildRequires:  golang(k8s.io/client-go/informers/apiserverinternal/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/informers/apps/v1)
BuildRequires:  golang(k8s.io/client-go/informers/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/informers/batch/v1)
BuildRequires:  golang(k8s.io/client-go/informers/certificates/v1)
BuildRequires:  golang(k8s.io/client-go/informers/coordination/v1)
BuildRequires:  golang(k8s.io/client-go/informers/core/v1)
BuildRequires:  golang(k8s.io/client-go/informers/discovery/v1)
BuildRequires:  golang(k8s.io/client-go/informers/policy/v1)
BuildRequires:  golang(k8s.io/client-go/informers/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/informers/storage/v1)
BuildRequires:  golang(k8s.io/client-go/informers/storage/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes)
BuildRequires:  golang(k8s.io/client-go/kubernetes/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/apps/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authentication/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/authorization/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/certificates/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/discovery/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/events/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/flowcontrol/v1beta1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/node/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/policy/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/scheduling/v1)
BuildRequires:  golang(k8s.io/client-go/listers/apps/v1)
BuildRequires:  golang(k8s.io/client-go/listers/autoscaling/v1)
BuildRequires:  golang(k8s.io/client-go/listers/batch/v1)
BuildRequires:  golang(k8s.io/client-go/listers/certificates/v1)
BuildRequires:  golang(k8s.io/client-go/listers/coordination/v1)
BuildRequires:  golang(k8s.io/client-go/listers/core/v1)
BuildRequires:  golang(k8s.io/client-go/listers/discovery/v1)
BuildRequires:  golang(k8s.io/client-go/listers/networking/v1)
BuildRequires:  golang(k8s.io/client-go/listers/node/v1)
BuildRequires:  golang(k8s.io/client-go/listers/policy/v1)
BuildRequires:  golang(k8s.io/client-go/listers/policy/v1beta1)
BuildRequires:  golang(k8s.io/client-go/listers/rbac/v1)
BuildRequires:  golang(k8s.io/client-go/listers/scheduling/v1)
BuildRequires:  golang(k8s.io/client-go/listers/storage/v1)
BuildRequires:  golang(k8s.io/client-go/listers/storage/v1beta1)
BuildRequires:  golang(k8s.io/client-go/metadata)
BuildRequires:  golang(k8s.io/client-go/metadata/metadatainformer)
BuildRequires:  golang(k8s.io/client-go/plugin/pkg/client/auth)
BuildRequires:  golang(k8s.io/client-go/rest)
BuildRequires:  golang(k8s.io/client-go/restmapper)
BuildRequires:  golang(k8s.io/client-go/scale)
BuildRequires:  golang(k8s.io/client-go/testing)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd/api)
BuildRequires:  golang(k8s.io/client-go/tools/events)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection/resourcelock)
BuildRequires:  golang(k8s.io/client-go/tools/pager)
BuildRequires:  golang(k8s.io/client-go/tools/portforward)
BuildRequires:  golang(k8s.io/client-go/tools/record)
BuildRequires:  golang(k8s.io/client-go/tools/reference)
BuildRequires:  golang(k8s.io/client-go/tools/remotecommand)
BuildRequires:  golang(k8s.io/client-go/tools/watch)
BuildRequires:  golang(k8s.io/client-go/transport)
BuildRequires:  golang(k8s.io/client-go/transport/spdy)
BuildRequires:  golang(k8s.io/client-go/util/cert)
BuildRequires:  golang(k8s.io/client-go/util/certificate)
BuildRequires:  golang(k8s.io/client-go/util/certificate/csr)
BuildRequires:  golang(k8s.io/client-go/util/connrotation)
BuildRequires:  golang(k8s.io/client-go/util/exec)
BuildRequires:  golang(k8s.io/client-go/util/flowcontrol)
BuildRequires:  golang(k8s.io/client-go/util/keyutil)
BuildRequires:  golang(k8s.io/client-go/util/retry)
BuildRequires:  golang(k8s.io/client-go/util/testing)
BuildRequires:  golang(k8s.io/client-go/util/workqueue)
BuildRequires:  golang(k8s.io/cloud-provider)
BuildRequires:  golang(k8s.io/cloud-provider/api)
BuildRequires:  golang(k8s.io/cloud-provider/app)
BuildRequires:  golang(k8s.io/cloud-provider/app/config)
BuildRequires:  golang(k8s.io/cloud-provider/config)
BuildRequires:  golang(k8s.io/cloud-provider/config/v1alpha1)
BuildRequires:  golang(k8s.io/cloud-provider/controllers/nodelifecycle)
BuildRequires:  golang(k8s.io/cloud-provider/controllers/route)
BuildRequires:  golang(k8s.io/cloud-provider/controllers/service)
BuildRequires:  golang(k8s.io/cloud-provider/controllers/service/config)
BuildRequires:  golang(k8s.io/cloud-provider/controllers/service/config/v1alpha1)
BuildRequires:  golang(k8s.io/cloud-provider/credentialconfig)
BuildRequires:  golang(k8s.io/cloud-provider/options)
BuildRequires:  golang(k8s.io/cloud-provider/service/helpers)
BuildRequires:  golang(k8s.io/cloud-provider/volume)
BuildRequires:  golang(k8s.io/cloud-provider/volume/errors)
BuildRequires:  golang(k8s.io/cloud-provider/volume/helpers)
BuildRequires:  golang(k8s.io/cluster-bootstrap/token/api)
BuildRequires:  golang(k8s.io/cluster-bootstrap/token/jws)
BuildRequires:  golang(k8s.io/cluster-bootstrap/token/util)
BuildRequires:  golang(k8s.io/cluster-bootstrap/util/secrets)
BuildRequires:  golang(k8s.io/cluster-bootstrap/util/tokens)
BuildRequires:  golang(k8s.io/component-base/cli/flag)
BuildRequires:  golang(k8s.io/component-base/cli/globalflag)
BuildRequires:  golang(k8s.io/component-base/codec)
BuildRequires:  golang(k8s.io/component-base/config)
BuildRequires:  golang(k8s.io/component-base/config/options)
BuildRequires:  golang(k8s.io/component-base/config/v1alpha1)
BuildRequires:  golang(k8s.io/component-base/config/validation)
BuildRequires:  golang(k8s.io/component-base/configz)
BuildRequires:  golang(k8s.io/component-base/featuregate)
BuildRequires:  golang(k8s.io/component-base/logs)
BuildRequires:  golang(k8s.io/component-base/logs/json/register)
BuildRequires:  golang(k8s.io/component-base/logs/logreduction)
BuildRequires:  golang(k8s.io/component-base/metrics)
BuildRequires:  golang(k8s.io/component-base/metrics/legacyregistry)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/clientgo)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/ratelimiter)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/restclient)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/version)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/workqueue)
BuildRequires:  golang(k8s.io/component-base/metrics/testutil)
BuildRequires:  golang(k8s.io/component-base/term)
BuildRequires:  golang(k8s.io/component-base/version)
BuildRequires:  golang(k8s.io/component-base/version/verflag)
BuildRequires:  golang(k8s.io/component-helpers/apimachinery/lease)
BuildRequires:  golang(k8s.io/component-helpers/apps/poddisruptionbudget)
BuildRequires:  golang(k8s.io/component-helpers/auth/rbac/reconciliation)
BuildRequires:  golang(k8s.io/component-helpers/auth/rbac/validation)
BuildRequires:  golang(k8s.io/component-helpers/node/topology)
BuildRequires:  golang(k8s.io/component-helpers/scheduling/corev1)
BuildRequires:  golang(k8s.io/component-helpers/scheduling/corev1/nodeaffinity)
BuildRequires:  golang(k8s.io/component-helpers/storage/volume)
BuildRequires:  golang(k8s.io/controller-manager/app)
BuildRequires:  golang(k8s.io/controller-manager/config)
BuildRequires:  golang(k8s.io/controller-manager/config/v1alpha1)
BuildRequires:  golang(k8s.io/controller-manager/options)
BuildRequires:  golang(k8s.io/controller-manager/pkg/clientbuilder)
BuildRequires:  golang(k8s.io/controller-manager/pkg/features)
BuildRequires:  golang(k8s.io/controller-manager/pkg/informerfactory)
BuildRequires:  golang(k8s.io/controller-manager/pkg/leadermigration)
BuildRequires:  golang(k8s.io/cri-api/pkg/apis)
BuildRequires:  golang(k8s.io/cri-api/pkg/apis/runtime/v1alpha2)
BuildRequires:  golang(k8s.io/cri-api/pkg/apis/testing)
BuildRequires:  golang(k8s.io/csi-translation-lib)
BuildRequires:  golang(k8s.io/csi-translation-lib/plugins)
BuildRequires:  golang(k8s.io/klog/v2)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/v1/helper)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration/v1beta1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apiserver)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apiserver/scheme)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/clientset_generated/clientset/typed/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/client/informers/externalversions/apiregistration/v1)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/controllers/autoregister)
BuildRequires:  golang(k8s.io/kube-controller-manager/config/v1alpha1)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/common)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/util)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/spec)
BuildRequires:  golang(k8s.io/kube-proxy/config/v1alpha1)
BuildRequires:  golang(k8s.io/kube-scheduler/config/v1)
BuildRequires:  golang(k8s.io/kube-scheduler/config/v1beta1)
BuildRequires:  golang(k8s.io/kube-scheduler/config/v1beta2)
BuildRequires:  golang(k8s.io/kube-scheduler/extender/v1)
BuildRequires:  golang(k8s.io/kubectl/pkg/cmd)
BuildRequires:  golang(k8s.io/kubectl/pkg/cmd/util)
BuildRequires:  golang(k8s.io/kubectl/pkg/cmd/util/sanity)
BuildRequires:  golang(k8s.io/kubectl/pkg/polymorphichelpers)
BuildRequires:  golang(k8s.io/kubectl/pkg/scale)
BuildRequires:  golang(k8s.io/kubectl/pkg/scheme)
BuildRequires:  golang(k8s.io/kubectl/pkg/util/i18n)
BuildRequires:  golang(k8s.io/kubectl/pkg/util/logs)
BuildRequires:  golang(k8s.io/kubectl/pkg/util/podutils)
BuildRequires:  golang(k8s.io/kubectl/pkg/util/templates)
BuildRequires:  golang(k8s.io/kubectl/pkg/validation)
BuildRequires:  golang(k8s.io/kubelet/config/v1alpha1)
BuildRequires:  golang(k8s.io/kubelet/config/v1beta1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/credentialprovider)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/credentialprovider/install)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/credentialprovider/v1alpha1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/deviceplugin/v1beta1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/pluginregistration/v1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/podresources/v1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/podresources/v1alpha1)
BuildRequires:  golang(k8s.io/kubelet/pkg/apis/stats/v1alpha1)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/aws)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/azure)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/azure/auth)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/azure/clients/fileclient)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/gce)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/gce/gcpcredential)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/openstack)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/vsphere)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/vsphere/vclib)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/custom_metrics/v1beta2)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/scheme)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/typed/metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/custom_metrics)
BuildRequires:  golang(k8s.io/metrics/pkg/client/external_metrics)
BuildRequires:  golang(k8s.io/mount-utils)
BuildRequires:  golang(k8s.io/pod-security-admission/admission)
BuildRequires:  golang(k8s.io/pod-security-admission/admission/api/load)
BuildRequires:  golang(k8s.io/pod-security-admission/api)
BuildRequires:  golang(k8s.io/pod-security-admission/policy)
BuildRequires:  golang(k8s.io/sample-apiserver/pkg/apis/wardle/v1alpha1)
BuildRequires:  golang(k8s.io/system-validators/validators)
BuildRequires:  golang(k8s.io/utils/clock)
BuildRequires:  golang(k8s.io/utils/exec)
BuildRequires:  golang(k8s.io/utils/exec/testing)
BuildRequires:  golang(k8s.io/utils/inotify)
BuildRequires:  golang(k8s.io/utils/integer)
BuildRequires:  golang(k8s.io/utils/io)
BuildRequires:  golang(k8s.io/utils/keymutex)
BuildRequires:  golang(k8s.io/utils/lru)
BuildRequires:  golang(k8s.io/utils/net)
BuildRequires:  golang(k8s.io/utils/net/ebtables)
BuildRequires:  golang(k8s.io/utils/path)
BuildRequires:  golang(k8s.io/utils/pointer)
BuildRequires:  golang(k8s.io/utils/strings)
BuildRequires:  golang(k8s.io/utils/trace)
BuildRequires:  golang(sigs.k8s.io/structured-merge-diff/v4/fieldpath)
BuildRequires:  golang(sigs.k8s.io/yaml)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/google/cadvisor/container/crio)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/client/clientset/clientset/typed/apiextensions/v1)
BuildRequires:  golang(k8s.io/apiextensions-apiserver/pkg/controller/finalizer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/naming)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/apitesting/roundtrip)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/meta/testrestmapper)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/protobuf)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer/streaming)
BuildRequires:  golang(k8s.io/apiserver/pkg/admission/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/apis/audit/v1beta1)
BuildRequires:  golang(k8s.io/apiserver/pkg/registry/generic/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/aes)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/envelope/testing)
BuildRequires:  golang(k8s.io/apiserver/pkg/storage/value/encrypt/envelope/v1beta1)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/buffered)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/audit/truncate)
BuildRequires:  golang(k8s.io/apiserver/plugin/pkg/authenticator/token/tokentest)
BuildRequires:  golang(k8s.io/client-go/applyconfigurations)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/certificates/v1beta1)
BuildRequires:  golang(k8s.io/client-go/metadata/fake)
BuildRequires:  golang(k8s.io/client-go/rest/fake)
BuildRequires:  golang(k8s.io/client-go/scale/fake)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd/api/v1)
BuildRequires:  golang(k8s.io/cloud-provider/fake)
BuildRequires:  golang(k8s.io/component-base/config/testing)
BuildRequires:  golang(k8s.io/component-base/featuregate/testing)
BuildRequires:  golang(k8s.io/controller-manager/pkg/leadermigration/options)
BuildRequires:  golang(k8s.io/kube-aggregator/pkg/apis/apiregistration)
BuildRequires:  golang(k8s.io/kubectl/pkg/cmd/testing)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/handler)
BuildRequires:  golang(k8s.io/legacy-cloud-providers/vsphere/testing)
BuildRequires:  golang(k8s.io/metrics/pkg/apis/external_metrics/v1beta1)
BuildRequires:  golang(k8s.io/metrics/pkg/client/clientset/versioned/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/custom_metrics/fake)
BuildRequires:  golang(k8s.io/metrics/pkg/client/external_metrics/fake)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
rm -rf staging hack build
%autopatch -p1
sed -i \
    -e 's|"go.opentelemetry.io/otel|"go.opentelemetry.io/otel-0.20|' \
    $(find . -name '*.go')
sed -i "s|github.com/munnerz/goautoneg|bitbucket.org/ww/goautoneg|" $(find . -name "*.go")
sed -i "s|github.com/coreos/go-oidc|github.com/coreos/go-oidc/oidc|" $(find . -name "*.go")

# %%build
# for cmd in cmd/* ; do
#   %%gobuild -o %%{gobuilddir}/bin/$(basename $cmd) %%{goipath}/$cmd
# done

%install
%gopkginstall
# install -m 0755 -vd                     %%{buildroot}%%{_bindir}
# install -m 0755 -vp %%{gobuilddir}/bin/* %%{buildroot}%%{_bindir}/

%if %{with check}
%check
# pkg/storage/value/encrypt/envelope: Needs KMS server
%gocheck -t cmd \
%if %{with bootstrap}
         -d pkg/volume/glusterfs \
         -d pkg/volume/portworx \
%endif
         -d pkg/storage/value/encrypt/envelope \
         -d pkg/cloudprovider/providers/photon \
         -d pkg/cloudprovider/providers/vsphere \
         -d pkg/controller/garbagecollector \
         -d pkg/controller/resourcequota \
         -d pkg/controller/podautoscaler/metrics \
         -d pkg/kubeapiserver/options \
         -d pkg/kubelet/dockershim/network/cni \
         -d pkg/kubelet/cm/devicemanager \
         -d pkg/kubelet/dockershim/network/kubenet \
         -d pkg/kubelet/network/dns \
         -d pkg/master \
         -d pkg/cloudprovider/providers/aws \
         -d pkg/generated/openapi \
         -d pkg/kubelet/cloudresource \
         -d pkg/kubelet/kuberuntime \
         -d pkg/kubelet/oom \
         -d pkg/kubelet/volumemanager/reconciler \
         -d pkg/proxy/ipvs \
         -d pkg/util/oom \
         -d pkg/registry/apps/daemonset/storage \
         -d pkg/registry/core/service/storage \
         -d pkg/serviceaccount \
         -d pkg/volume/csi \
         -d pkg/volume/photon_pd \
         -d test/e2e \
         -d test/e2e_kubeadm \
         -d test/e2e_node \
         -t test/integration \
         -t third-party \
         -d pkg/apis/certificates/validation \
         -d pkg/kubelet/custommetrics \
         -d pkg/kubelet/dockershim \
         -d pkg/kubelet/prober \
         -d plugin/pkg/admission/serviceaccount \
         -d test/e2e/framework/node \
         -d pkg/volume/util/subpath
%endif

# %%files
# %%license LICENSE
# %%doc docs CONTRIBUTING.md code-of-conduct.md CHANGELOG-1.13.md CHANGELOG.md
# %%doc README.md SUPPORT.md
# %%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
